/**
  *  \file client/dlg-supplies.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DLG_SUPPLIES_H
#define PCC_V2_CLIENT_DLG_SUPPLIES_H

#include "ui/window.h"
#include "cpluslib/holder.h"
#include "ui/widgets/multilinestatic.h"
#include "ui/widgets/decimalsel.h"

class GPlanetSellSuppliesAction;
class GPlanet;
class GGameTurn;

class WSellSuppliesDialog : public UIWindow {
    ObjectHolder       holder;
    UIDecimalSelector  select;
    GPlanetSellSuppliesAction& action;

    void init();
    void onEnter(int);
    void onCancel(int);
    void onAll(int);
 public:
    WSellSuppliesDialog(GPlanetSellSuppliesAction& act);
    ~WSellSuppliesDialog();

    static void doDialog(GPlanet& p);
};

class WUndoSellSuppliesDialog : public UIWindow {
    ObjectHolder       holder;
    UIDecimalSelector  select;
    UIMultilineStatic  introtext;

    GGameTurn&         turn;
    int                pid;

    int                maximum;

    void init();
    void onEnter(int);
    void onCancel(int);
    void computeRange();
 public:
    WUndoSellSuppliesDialog(GGameTurn& turn, int pid);
    ~WUndoSellSuppliesDialog();

    static void doDialog(GGameTurn& turn, int pid);
};

#endif
