/**
  *  \file client/tiles/fleetmemtile.h
  *  \brief Fleet Member Tile
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_FLEETMEMTILE_H
#define PCC_V2_CLIENT_TILES_FLEETMEMTILE_H

#include "cpluslib/holder.h"
#include "client/wtile.h"

class GObjectSelection;
class WFleetMemberList;

class WFleetMemberTile : public WTile {
    ObjectHolder holder;
    GObjectSelection& selection;
    WFleetMemberList* list;

    SignalConnection conn_sel_pos_changed;
    SignalConnection conn_turn_changed;
    SignalConnection conn_univ_pre_update;

    void init();
    void onMove();
    void onFleetChanged();
    void onTurnChanged();
    void onUniverseChanged();

 public:
    WFleetMemberTile(GObjectSelection& selection);
    ~WFleetMemberTile();
    void drawData(GfxCanvas& can);
};

#endif
