/**
  *  \file client/widgets/vcrinfohead.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_VCRINFOHEAD_H
#define PCC_V2_CLIENT_WIDGETS_VCRINFOHEAD_H

#include "client/widgets/vcrhulllist.h"
#include "ui/widgets/imagewidget.h"

class WVcrInfoHeader : public UIWidget {
 public:
    WVcrInfoHeader(GVcrEntry& entry, int side);
    ~WVcrInfoHeader();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& li);
    WVcrHullList& getList();

 private:
    void init();
    void onMove();

    WVcrHullList list;
    UIImageWidget image;
};

inline WVcrHullList&
WVcrInfoHeader::getList()
{
    return list;
}

#endif
