/**
  *  \file game/specsn.h
  *  \brief Specification: Short Names
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_SPECSN_H
#define PCC_V2_GAME_SPECSN_H

#include "cpluslib/string.h"

/** Kind of short name.
    Note that the order is important, xref NUM_TRANSLATORS, translators in game/specsn.cc. */
enum TShortName {
    snHullShort,
    snEngineShort,
    snBeamShort,
    snTorpShort,
    snFighterShort
};

void initShortNames();
string_t getShortName(TShortName kind, int slot, string_t name);

#endif
